Dynamic Script - execute code in an existing browser session.
client.BrowserRendering.Script.Execute(ctx, sessionID, params) (*ScriptExecuteResponseUnion, error)
POST/accounts/{account_id}/browser-rendering/script/{session_id}
Runs the provided code in an existing browser session. The session stays open; close it with DELETE /devtools/browser/:sessionId or browser.close(), otherwise it ends at the idle timeout.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Dynamic Script - execute code in an existing browser session.
package main
import (
"context"
"fmt"
"github.com/cloudflare/cloudflare-go"
"github.com/cloudflare/cloudflare-go/browser_rendering"
"github.com/cloudflare/cloudflare-go/option"
)
func main() {
client := cloudflare.NewClient(
option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
)
response, err := client.BrowserRendering.Script.Execute(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
browser_rendering.ScriptExecuteParams{
AccountID: cloudflare.F("account_id"),
Code: cloudflare.F("code"),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response)
}
{
"result": "string",
"success": true
}Returns Examples
{
"result": "string",
"success": true
}